//
//
//
void displayNCPProblemAlarm(boolean clearPage, boolean wrapText, boolean updatePage){
  #if debugLevelProcedureCallTree
    altSerial.println(F("displayNCPProblemAlarm"));
  #endif
  //Set the display parameters and text color
  displaySetScreenParms(clearPage);
  displayPrintText(F("*************"), 0, 0, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("PROBLEM!"), 0, 1, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("No Connection"), 0, 2, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("Check Your"), 0, 3, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);   
  displayPrintText(F("Machine!"), 0, 4, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord); 
  displayPrintText(F("*************"), 0, 5, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  menuPageActive = NCP_Alarm_L1;
}

//
//
//
void displayMASProblemAlarm(boolean clearPage, boolean wrapText, boolean updatePage){
  #if debugLevelProcedureCallTree
    altSerial.println(F("displayMASProblemAlarm"));
  #endif
  //Set the display parameters and text color
  displaySetScreenParms(clearPage); //Sets (textWrap, screenColor)
  displayPrintText(F("*************"), 0, 0, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("MACHINE"), 0, 1, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("CRITICAL"), 0, 2, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("ALARM"), 0, 3, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);   
  displayPrintText(F("RAISED!"), 0, 4, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord); 
  displayPrintText(F("*************"), 0, 5, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  menuPageActive = MAS_Alarm_L1;
}

//
//
//
void displayHOMEAlarm(boolean clearPage, boolean wrapText, boolean updatePage){
  #if debugLevelProcedureCallTree
    altSerial.println(F("displayMASProblemAlarm"));
  #endif
  //Set the display parameters and text color
  displaySetScreenParms(clearPage); //Sets (textWrap, screenColor)
  displayPrintText(F("*************"), 0, 0, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("Machine"), 0, 1, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("Homing"), 0, 2, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  displayPrintText(F("Please"), 0, 3, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);   
  displayPrintText(F("Wait!"), 0, 4, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord); 
  displayPrintText(F("*************"), 0, 5, dispTftTextRowHeightPadding, dispTextScale5110, dispTextScale5110, text_XCenterJustified_YCoord);
  menuPageActive = HOME_Alarm_L1;
}
